Не стартует графический интерфейс с интегрированной видеокарты

Cpektr

New member
Сообщения
2
#1
Дано:
Материнская плата - MSI A320M PRO-E
Процессор - AMD Ryzen 5 5600G с графическим ядром Radeon Graphics, 1900 МГц
ОЗУ - 8Гб
Система - Astra Linux(Orel) 2.12.22 ядро 4.15.3-1-generic
Проблема:
После установки ОС система не запускает графический интерфейс с интегрированной видеокартой (в левом верхнем углу мигает "_"). Дает войти в консоль. С установленной видеокартой все замечательно работает. Пробовал сбросить биос, различные варианты установки(только с интегрированной, на другом железе, и т.д.), отключать драйвер amdgpu(на другом железе с процессорами AMD помогало).
Подскажите в чем может быть проблема? В какую сторону копать?
 

Olej

New member
Сообщения
1 258
#5
Процессор - AMD Ryzen 5 5600G с графическим ядром Radeon Graphics, 1900 МГц
Смотреть что-то типа:
Код:
$ inxi -Gxxx
Graphics:
  Device-1: AMD Mullins [Radeon R1E/R2E Graphics] vendor: Hewlett-Packard
    driver: radeon v: kernel arch: GCN 2 ports: active: VGA-1 empty: DP-1,DP-2
    bus-ID: 00:01.0 chip-ID: 1002:9856 class-ID: 0300
  Display: x11 server: X.Org v: 1.20.11 driver: X: loaded: radeon
    unloaded: fbdev,modesetting,vesa gpu: amdgpu,radeon display-ID: :0.0
    screens: 1
  Screen-1: 0 s-res: 1920x1080 s-dpi: 96 s-size: 508x285mm (20.00x11.22")
    s-diag: 582mm (22.93")
  Monitor-1: VGA-1 mapped: VGA-0 model: Acer S231HL serial: LNZ080094200
    res: 1920x1080 hz: 60 dpi: 96 size: 510x287mm (20.08x11.3")
    diag: 585mm (23") modes: max: 1920x1080 min: 720x400
  OpenGL:
    renderer: AMD KABINI (DRM 2.49.0 4.9.0-279-antix.1-amd64-smp LLVM 11.0.1)
    v: 4.5 Mesa 20.3.5 direct render: Yes
(inxi, может, установить придётся)

слишком новый проц для этого ядра
Но, скорее всего - верно... Только, точнее: "слишком старое ядро для этого проца (его графического ядра)".
 

immick

New member
Сообщения
11
#6
У меня проблема аналогичная. Только не с AMD, а с Intel (оба ноута с интегрированной графикой). С AMD Ryzen 7 5800H with Radeon Graphics проблем нет.

Касательно
"слишком старое ядро для этого проца (его графического ядра)"
не совсем понятно. У CE 2.12.45 ядро ведь 5.15.0-33. У SE 1.7.3 также ядро 5.15.0-33, но там почему-то проблем таких нет: ни под Ryzen 7 5800H, ни под i7-1165G7.
 

massivemsv

New member
Сообщения
4
#9
аналогичная проблема на AMD Ryzen™ 5 PRO 4650G. А RedOs запустился) Radeon™ Software for Linux® проблему не решает. Ждем ответа ТП
 
Последнее редактирование:

Olej

New member
Сообщения
1 258
#16
Любопытно. Спасибо.
Но это при новой установке.
А нельзя ли обновиться в уже установленной системе? ... кроме ручной установки ядра с бубном ...
Наверное, это был Ваш выбор при установке.
Я устанавливал Astra Linux CE года 2 назад (или больше?). Тогда не было на дух никакого выбора ядра! После этого инсталляцию только обновлял.
 

oko

New member
Сообщения
1 167
#17
*в сторону*
кроме ручной установки ядра с бубном
Походу, самовольное изгнание и такое же самовольное возвращение плохо сказываются на когнитивных способностях. И теперь apt install linux-image-нужная_версия уже считается подключением бубна...
 

Montfer

New member
Сообщения
2 161
#18
*в сторону*

Походу, самовольное изгнание и такое же самовольное возвращение плохо сказываются на когнитивных способностях. И теперь apt install linux-image-нужная_версия уже считается подключением бубна...
лень читать с чего все началось, но щас для корректности надо ставить linux-версия (без всяких image)
 

Olej

New member
Сообщения
1 258
#19
Пшёл на хер, ублюдок :love: - уже было сказано что с тобой я не общаюсь ни по каким поводам. Не панимашь, да? :devilish: ... уродец (y)

щас для корректности надо ставить linux-версия (без всяких image)
Абсолютно соглашусь...
Но мне эта ваша Astra не настолько нужна (только наблюдаю со стороны), чтобы убивать на неё столько времени.
Для любых серьёзных целей мне достаточно других, куда более дружественных и продвинутых, дистрибутивов Linux.
 

oko

New member
Сообщения
1 167
#20
to Olej
И тем не менее ты читаешь и отвечаешь, т.е. общаешься...
И тем не менее ты юзаешь AstraLinux и что-то там криво в ней проверяешь, негодуешь и сквернословишь на форуме...
Повторюсь в который раз: сходи на консультацию к специалисту и лечись. Пока еще не поздно, ага...

to Montfer
Не суть важно. apt install linux-image-версия была приведена как указание на наличие поддерживаемого ядра в виде deb-пакета в текущем репозитории. Без необходимости загрузки сорцов с kernel.org (или еще откуда-либо), допиливания параметров и компилляции вручную. Т.е. упомянутый бубен в принципе не требуется...